### Method

# Qmi MessageNasGetCellLocationInfoOutput get_intrafrequency_lte_info_v2

since: 1.26.6

#### Declaration [src]

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_intrafrequency_lte_info_v2 (
      QmiMessageNasGetCellLocationInfoOutput* self,
      gboolean* value_intrafrequency_lte_info_v2_ue_in_idle,
      GArray** value_intrafrequency_lte_info_v2_plmn,
      guint16* value_intrafrequency_lte_info_v2_tracking_area_code,
      guint32* value_intrafrequency_lte_info_v2_global_cell_id,
      guint16* value_intrafrequency_lte_info_v2_eutra_absolute_rf_channel_number,
      guint16* value_intrafrequency_lte_info_v2_serving_cell_id,
      guint8* value_intrafrequency_lte_info_v2_cell_reselection_priority,
      guint8* value_intrafrequency_lte_info_v2_s_non_intra_search_threshold,
      guint8* value_intrafrequency_lte_info_v2_serving_cell_low_threshold,
      guint8* value_intrafrequency_lte_info_v2_s_intra_search_threshold,
      GArray** value_intrafrequency_lte_info_v2_cell,
      GError** error
    )

#### Description [src]

Get the ‘Intrafrequency LTE Info v2’ field from `self`.

Available since: 1.26.6

This method is not directly available to language bindings.

The implementation of this method is provided by `qmi_message_nas_get_cell_location_info_output_get_intrafrequency_lte_info_v2_gir()` in language bindings.

#### Parameters

`value_intrafrequency_lte_info_v2_ue_in_idle`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_intrafrequency_lte_info_v2_plmn`

  Type: An array of `guint8`

  A placeholder for the output `GArray` of #guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`value_intrafrequency_lte_info_v2_tracking_area_code`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_intrafrequency_lte_info_v2_global_cell_id`

  Type: `guint32*`

  A placeholder for the output #guint32, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_intrafrequency_lte_info_v2_eutra_absolute_rf_channel_number`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_intrafrequency_lte_info_v2_serving_cell_id`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_intrafrequency_lte_info_v2_cell_reselection_priority`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_intrafrequency_lte_info_v2_s_non_intra_search_threshold`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_intrafrequency_lte_info_v2_serving_cell_low_threshold`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_intrafrequency_lte_info_v2_s_intra_search_threshold`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_intrafrequency_lte_info_v2_cell`

  Type: An array of `None`

  A placeholder for the output `GArray` of `QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoV2CellElement` elements, or `NULL` if not required. Do not free it, it is owned by `self`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.